---
- name: LDP | install packages
  ansible.builtin.apt:
    cache_valid_time: 3600
    force_apt_get: yes
    pkg:
      - syslog-ng
      - ca-certificates
    state: present
    update_cache: true

- name: LDP | syslog-ng config
  ansible.builtin.template:
    src: templates/ldp.conf.j2
    dest: "/etc/syslog-ng/conf.d/ldp.conf"
    mode: 0640
    owner: root
    group: root

- name: LDP | restart syslog-ng deamon
  ansible.builtin.systemd:
    state: restarted
    daemon_reload: yes
    name: syslog-ng
